# Generated by Django 3.2.11 on 2022-03-03 19:42

from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("effect_subject", "0023_auto_20220228_2355"),
    ]

    operations = [
        migrations.AlterField(
            model_name="diagnoses",
            name="patient_admitted",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="N/A",
                help_text="If yes, complete AE Initial report.",
                max_length=15,
                verbose_name="Has the patient been admitted due to any of these diagnoses?",
            ),
        ),
        migrations.AlterField(
            model_name="diagnoses",
            name="reportable_as_ae",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="N/A",
                help_text="If yes, complete AE Initial report.",
                max_length=15,
                verbose_name="Are any of these diagnoses Grade 3 or above?",
            ),
        ),
        migrations.AlterField(
            model_name="followup",
            name="survival_status",
            field=models.CharField(
                choices=[
                    ("alive_well", "Alive and well"),
                    ("alive_unwell", "Alive, but unwell"),
                    ("dead", "Deceased"),
                ],
                help_text="If subject 'Deceased', complete AE Initial report, and Death Report. If subject 'Alive, but unwell', consider completing AE Initial report. ",
                max_length=15,
                verbose_name="What is the patient status?",
            ),
        ),
        migrations.AlterField(
            model_name="historicaldiagnoses",
            name="patient_admitted",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="N/A",
                help_text="If yes, complete AE Initial report.",
                max_length=15,
                verbose_name="Has the patient been admitted due to any of these diagnoses?",
            ),
        ),
        migrations.AlterField(
            model_name="historicaldiagnoses",
            name="reportable_as_ae",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="N/A",
                help_text="If yes, complete AE Initial report.",
                max_length=15,
                verbose_name="Are any of these diagnoses Grade 3 or above?",
            ),
        ),
        migrations.AlterField(
            model_name="historicalfollowup",
            name="survival_status",
            field=models.CharField(
                choices=[
                    ("alive_well", "Alive and well"),
                    ("alive_unwell", "Alive, but unwell"),
                    ("dead", "Deceased"),
                ],
                help_text="If subject 'Deceased', complete AE Initial report, and Death Report. If subject 'Alive, but unwell', consider completing AE Initial report. ",
                max_length=15,
                verbose_name="What is the patient status?",
            ),
        ),
        migrations.AlterField(
            model_name="historicalmentalstatus",
            name="patient_admitted",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="N/A",
                help_text="If yes, complete AE Initial report.",
                max_length=15,
                verbose_name="Has the patient been admitted due to these symptoms?",
            ),
        ),
        migrations.AlterField(
            model_name="historicalmentalstatus",
            name="reportable_as_ae",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="N/A",
                help_text="If yes, complete AE Initial report.",
                max_length=15,
                verbose_name="Are any of these symptoms Grade 3 or above?",
            ),
        ),
        migrations.AlterField(
            model_name="historicalvitalsigns",
            name="patient_admitted",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="N/A",
                help_text="If yes, complete AE Initial report.",
                max_length=15,
                verbose_name="Has the patient been admitted due to any of the above?",
            ),
        ),
        migrations.AlterField(
            model_name="historicalvitalsigns",
            name="reportable_as_ae",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="N/A",
                help_text="If yes, complete AE Initial report.",
                max_length=15,
                verbose_name="Are any of the above reportable as Grade 3 or above?",
            ),
        ),
        migrations.AlterField(
            model_name="mentalstatus",
            name="patient_admitted",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="N/A",
                help_text="If yes, complete AE Initial report.",
                max_length=15,
                verbose_name="Has the patient been admitted due to these symptoms?",
            ),
        ),
        migrations.AlterField(
            model_name="mentalstatus",
            name="reportable_as_ae",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="N/A",
                help_text="If yes, complete AE Initial report.",
                max_length=15,
                verbose_name="Are any of these symptoms Grade 3 or above?",
            ),
        ),
        migrations.AlterField(
            model_name="vitalsigns",
            name="patient_admitted",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="N/A",
                help_text="If yes, complete AE Initial report.",
                max_length=15,
                verbose_name="Has the patient been admitted due to any of the above?",
            ),
        ),
        migrations.AlterField(
            model_name="vitalsigns",
            name="reportable_as_ae",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="N/A",
                help_text="If yes, complete AE Initial report.",
                max_length=15,
                verbose_name="Are any of the above reportable as Grade 3 or above?",
            ),
        ),
    ]
